---
MorpheusModelID: M1703

title: "Drosophila Wing Primordium"

authors: [J. M. Osborne, A. G. Fletcher, J. M. Pitt-Francis, P. K. Maini, D. J. Gavaghan]
contributors: [H. J. Wiederanders, P. H. Suhrcke, P. Rossbach]

# Under review
#hidden: true
#private: true

# Reference details
publication:
  doi: "10.1371/journal.pcbi.1005387"
  title: "Comparing individual-based approaches to modelling the self-organization of multicellular tissues"
  journal: "PLoS Comput. Biol."
  volume: 13
  issue: 2
  page: "e1005387"
  year: 2017
  original_model: false

#categories:
#- DOI:10.1371/journal.pcbi.1005387

tags:
- 2D
- Aspect Ratio
- Asymmetry
- Cell Division
- Cellular Potts Model
- CPM
- Dpp
- Dpp Profile
- Drosophila melanogaster
- Drosophila Wing Imaginal Disc
- Drosophila Wing Primordium
- Epithelial Growth
- Multicellular Model
- NeighborhoodReporter
- Self-Organization
- Spatial Model
- Stochastic Model
- Tissue Growth
- Wing Primordium
---
> How does morphogen transport in a growing tissue feed back on tissue growth through morphogen signaling and cell division?

## Introduction

The Drosophila wing primordium is a two-dimensional epithelial tissue that grows in response to the concentration profile of the morphogen Dpp (see Fig.1). Dpp molecules get synthesized within a narrow (here vertical) stripe and are transported at least partly by the cells: (i) through cycles of endocytosis and exocytosis and/or (ii) by transient binding to cellular receptors. The spreading of the molecules is therefore governed, both, by an effective diffusion process and by the flow of Dpp-carrying cells. The cell flow is the result of tissue growth and cells divide in response to high local Dpp concentration. Hence, this model captures a feedback loop from morphogen concentration to cell division to tissue growth and back to morphogen transport.

![](Microscopy_Dpp_signal_response.png "Fig. 1. Drosophila wing primordium with Dpp morphogen profile visualized through the activated signal transducer pMad (green). Reproduced from [Fig. 3A'](https://doi.org/10.1371/journal.pbio.1001111.g003) ([*CC BY 4.0*](https://creativecommons.org/licenses/by/4.0/))  by **Schwank _et al._ (2011)** PLoS Biol 9(7): e1001111.")

In the referenced paper, [**Osborne _et al._ (2017)**](#reference) have compared five different model formalisms for multicellular tissues incl. the cellular Potts model (CPM) and had used the simulator Chaste. Here, the CPM-specific results (out of the five compared models) are reproduced in a different simulator, Morpheus, and both agree well.

## Description

In the Morpheus model, the concentration `c` of Dpp is not described by a `Global/Field` (as it was done in the publication) but by a `CellType/Property` such that Dpp gets transported together with the cells by construction. Additionally, Dpp diffuses between neighboring cells which is implemented as a diffusion operator discretized over the cell arrangement by means of the `NeighborhoodReporter`.

All parameter values are taken from Tables 1 and 5 of the publication, except `lambda=0.01` must have been a typo in the published Table 5 and is here replaced by `lambda=10` as in the paper's cited Ref.19 with the original model ([**Smith _et al._ (2011)**](https://doi.org/10.1007/s00285-011-0464-y)).

A square lattice with 400x400 nodes and no-flux boundary conditions is used.

## Results

A typical simulation run shows how the wing primordium grows from an initial circle to an ellipse with larger vertical axis than horizontal, in agreement with the published results. Also the heterogeneity of Dpp concentrations between cells is reproduced, see comparison and movie below.

![](Comparison_Fig10.png "Fig. 2. Comparison of simulation snapshots from Morpheus (top) and Chaste (bottom) at indicated time points. Dpp concentration is color-coded. Bottom panels are reproduced from [Fig. 10](https://doi.org/10.1371/journal.pcbi.1005387.g010) ([*CC BY 4.0*](https://creativecommons.org/licenses/by/4.0/): [**Osborne _et al._ (2017)**](#reference)).")

![](movie.mp4)

![](Morpheus_Logger_cell_number.png "Fig. 3. Cell number time course of the Morpheus simulation run.")

To quantitatively compare this pair of simulations, the horizontal Dpp profile and the aspect ratio of horizontal by vertical axis length are used. In the original publication, means were taken over 20 simulation runs but here we just compare to a single Morpheus run with plots generated by Morpheus during this simulation run.

![](Comparison_Fig11.png "Fig. 4. Quantitative comparison of simulation results from Morpheus (top) and Chaste (bottom). Left: Dpp concentration profiles as function of the x-location every 10 hours. Right: Aspect ratio of horizontal by vertical axis length as function of time. The published curves (bottom) represent statistics over 20 simulation runs with Chaste while just a single Morpheus run is shown (top). Moreover, the published Dpp profiles are averages over the y-coordinate across the tissue whereas, from the Morpheus run, values for all cell centers within the mid 2 percent of the lattice hight are shown (each dot corresponds to a cell, no average). Bottom panels are reproduced from [Fig. 11](https://doi.org/10.1371/journal.pcbi.1005387.g011) ([*CC BY 4.0*](https://creativecommons.org/licenses/by/4.0/): [**Osborne _et al._ (2017)**](#reference)).")
